Subject: Re: [Koha] MARC import trouble
From: paul POULAIN <[email-masked]>
To: Joshua Ferraro <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Apr 2003 15:14:09 +0200
List-Id: Discussion list for the Koha Library system <koha.lists.katipo.co.nz>

Joshua Ferraro wrote:

>I am a bit confused about the management of bibliographic holdings.  We have used our old circulation system to create a file with all the holdings information listed in MARC format.
>
many questions...

>However, when I use the Koha 1.9.1 intranet's "Upload MARC records" tool it reports (after about 20 min.) that only 29 items were added (I can't find these items).
>
and how many "ignored ?" ?
20mn should be enough to parse 50 000 or more biblios in the file. In 
Dombes Abbey, we enter a 5000 records file in 2-3 minuts.
I'm a little bit surprised, as this works with various samples ppl 
sended to me.

>What format should the import file be in and how can I check to make sure it is correct?
>
the file must be iso2709 format, and the MARC must be the one that is 
defined in MARC parameters (admin section)

>Also, is there a faster command line script to populate the bibliographic holdings?
>
no. and i think you're wrong on what it does (see below)

>What is the breeding farm?
>  
>
the breeding farm is used to enter in the DB biblios that you HAVEN'T 
yet in your library, but you could buy. For example, in Dombes Abbey, we 
have put 40 000 biblios from christians editors. When the librarian 
enters a book into koha, she :
- enters ISBN or title of the book
- search it in breeding farm
- if founded in breeding farm => clics, and reaches the biblio-add 
screen, already filled with the notice.
- enters item.

so, as a conclusion :
- breeding farm is NOT to migrate a library.
- breeding farm should be used in conjuction with "commercial cdrom" or 
other biblios-sellers.
- breeding farm IGNORE items in MARC file
- the script to migrate from a previous ILS is still to be done.

I hope this helps.

-- 
Paul POULAIN
Consultant indépendant en logiciels libres
responsable francophone de koha (SIGB libre http://www.koha-fr.org)

_______________________________________________
Koha mailing list
[email-masked]
http://lists.katipo.co.nz/mailman/listinfo/koha